U++ - Bug #470
ValueMap::RemoveKey
05/15/2013 11:29 AM - Miroslav Fidler

Status: Approved Start date: 05/15/2013
Priority: Normal Due date:

Assignee: Miroslav Fidler % Done: 0%
Category: Core Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

History

#1 - 08/16/2013 07:03 AM - Sender Ghost
- File 470a_uppsrc.diff added

- File 470b_uppsrc.diff added

- Status changed from New to Patch ready

Since, there are no concrete requirements, | made two variants of patches:
a) The ValueMap::RemoveKey removes keys and corresponding values.
b) The ValueMap::RemoveKey just uses Index::RemoveKey for keys.

#2 - 08/20/2013 08:44 PM - Miroslav Fidler
- Status changed from Patch ready to Ready for CR
- Assignee changed from Miroslav Fidler to Sender Ghost

Thanks, | have started with a), but used "mass" removal Remove... (Vector is capable of removing sorted set of indicies in single operation).

#3 - 08/21/2013 05:14 PM - Sender Ghost
- Assignee changed from Sender Ghost to Miroslav Fidler

Miroslav Fidler wrote:

Vector is capable of removing sorted set of indicies in single operation.

Agreed, this is much faster.
The changes are ok.

#4 - 08/29/2013 08:24 AM - Miroslav Fidler
- Status changed from Ready for CR to Approved

Files

470a_uppsrc.diff 1.51 KB 08/16/2013 Sender Ghost

470b_uppsrc.diff 1.28 KB 08/16/2013 Sender Ghost
/redmine/projects/upp/repository/revisions/5506/entry/trunk/uppsrc/Core/Index.hpp#L322

